clear
close all
mu_min = 7;  mu_max = 10;  delta_mu = 1e-2;

mu = 7;
fh = @(x)myrhs([x; mu]);
y_star = newton(fh, [1; 1], 1e-10, 100)

mu = mu_min:delta_mu:mu_max;
nudge = 1e-6;   % small perturbation to steady state
t_trans = 100;   % enough time to remove transients
t_cycle = 100;   % enough time to go round cycle at least once
M = length(mu);
maxy = zeros(1, M);
miny = maxy;
fh = @(t, y)myrhs([y; mu(1)]);
% solve the DEs to remove transients:
[t, Y] = ode45(fh, [0, t_trans], (1+nudge)*y_star);
for I = 1:M   % go through each value of mu
   % solve the DEs, starting with the most recent value of y:
   fh = @(t, y)myrhs([y; mu(I)]);
   y0 = Y(size(Y, 1), :);
   [t, Y] = ode45(fh, [0, t_cycle], y0);
   % calculate the norm of y at each point on the orbit:
   P = size(Y, 1);
   y_norm = zeros(P, 1);
   for J = 1:P;
      y_norm(J) = norm(Y(J, :));
   end
   % record the maximum and minimum values of the norm:
   maxy(I) = max(y_norm);
   miny(I) = min(y_norm);
   end
plot(mu, miny, mu, maxy)
